# ColorGroup

## Name

ColorGroup --

## Synopsis

    #define     COLOR_GROUP_TYPE
    #define     COLOR_GROUP                     (obj)
    #define     COLOR_GROUP_CLASS               (k)
    #define     IS_COLOR_GROUP                  (obj)
    GtkType     color_group_get_type            (void);
    GtkObject*  color_group_new_named           (const gchar *name);
    GtkObject*  color_group_from_name           (const gchar *name);
    void        color_group_set_history_size    (ColorGroup *cg,
                                                 gint size);
    gint        color_group_get_history_size    (ColorGroup *cg);
    GdkColor*   color_group_get_current_color   (ColorGroup *cg);
    void        color_group_set_current_color   (ColorGroup *cg,
                                                 GdkColor *color);
    GdkColor*   color_group_most_recent_color   (ColorGroup *cg);
    GdkColor*   color_group_oldest_color        (ColorGroup *cg);
    GdkColor*   color_group_next_color          (ColorGroup *cg);
    GdkColor*   color_group_previous_color      (ColorGroup *cg);
    void        color_group_add_color           (ColorGroup *cg,
                                                 GdkColor *color,
                                                 gboolean custom_color);

## Description

## Details

### COLOR_GROUP_TYPE

    #define COLOR_GROUP_TYPE     (color_group_get_type ())

### COLOR_GROUP()

    #define COLOR_GROUP(obj)     (GTK_CHECK_CAST((obj), COLOR_GROUP_TYPE, ColorGroup))

`obj` : |

### COLOR_GROUP_CLASS()

    #define COLOR_GROUP_CLASS(k) (GTK_CHECK_CLASS_CAST(k), COLOR_GROUP_TYPE)

`k` : |

### IS_COLOR_GROUP()

    #define IS_COLOR_GROUP(obj)  (GTK_CHECK_TYPE((obj), COLOR_GROUP_TYPE))

`obj` : |

### color_group_get_type ()

    GtkType     color_group_get_type            (void);

Returns : |

### color_group_new_named ()

    GtkObject*  color_group_new_named           (const gchar *name);

`name` : |
Returns : |

### color_group_from_name ()

    GtkObject*  color_group_from_name           (const gchar *name);

`name` : |
Returns : |

### color_group_set_history_size ()

    void        color_group_set_history_size    (ColorGroup *cg,
                                                 gint size);

`cg` : |
`size` : |

### color_group_get_history_size ()

    gint        color_group_get_history_size    (ColorGroup *cg);

`cg` : |
Returns : |

### color_group_get_current_color ()

    GdkColor*   color_group_get_current_color   (ColorGroup *cg);

`cg` : |
Returns : |

### color_group_set_current_color ()

    void        color_group_set_current_color   (ColorGroup *cg,
                                                 GdkColor *color);

`cg` : |
`color` : |

### color_group_most_recent_color ()

    GdkColor*   color_group_most_recent_color   (ColorGroup *cg);

`cg` : |
Returns : |

### color_group_oldest_color ()

    GdkColor*   color_group_oldest_color        (ColorGroup *cg);

`cg` : |
Returns : |

### color_group_next_color ()

    GdkColor*   color_group_next_color          (ColorGroup *cg);

`cg` : |
Returns : |

### color_group_previous_color ()

    GdkColor*   color_group_previous_color      (ColorGroup *cg);

`cg` : |
Returns : |

### color_group_add_color ()

    void        color_group_add_color           (ColorGroup *cg,
                                                 GdkColor *color,
                                                 gboolean custom_color);

`cg` : |
`color` : |
`custom_color` : |